
const metadata = {
  Arrow: {
    description: 'Arrow for use in dropdowns and other UI elements',
    props: [
      {
        name: 'direction',
        description: 'Direction of arrow',
        type: [
          'up',
          'down'
        ]
      }
    ]
  },
  Avatar: {
    description: 'A circular image for displaying user avatars',
    props: [
      {
        name: 'size',
        description: 'Width and height of image in pixels',
        type: 'number'
      }
    ]
  },
  Badge: {
    description: 'Component for displaying small status indicators ',
    props: []
  },
  Banner: {
    description: 'Full-height banner with styling for background images',
    props: [
      {
        name: 'align',
        description: 'Horizontal alignment',
        type: [
          'left',
          'center',
          'right'
        ]
      },
      {
        name: 'backgroundImage',
        description: 'Background image URL',
        type: 'string'
      }
    ]
  },
  Block: {
    description: 'Generic box with visual styling',
    props: [
      {
        name: 'borderColor',
        description: 'Border color - can either be a key from the theme colors object or any color value',
        type: 'string'
      },
      {
        name: 'border',
        description: 'Adds a border',
        type: 'boolean'
      },
      {
        name: 'borderTop',
        description: 'Adds border top',
        type: 'boolean'
      },
      {
        name: 'borderRight',
        description: 'Adds border right',
        type: 'boolean'
      },
      {
        name: 'borderBottom',
        description: 'Adds border bottom',
        type: 'boolean'
      },
      {
        name: 'borderLeft',
        description: 'Adds border left',
        type: 'boolean'
      }
    ]
  },
  Blockquote: {
    description: 'Stylized blockquote element with citation link',
    props: [
      {
        name: 'source',
        description: 'Name of source',
        type: 'string'
      },
      {
        name: 'href',
        description: 'URL of source',
        type: 'string'
      }
    ]
  },
  Breadcrumbs: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Button: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  ButtonCircle: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  ButtonOutline: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Card: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  CardImage: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Checkbox: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Close: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Container: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Divider: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Donut: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  DotIndicator: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Drawer: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Dropdown: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  DropdownMenu: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Embed: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Fixed: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Footer: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Heading: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  HeadingLink: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  InlineForm: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Input: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Label: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  LinkBlock: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Media: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Menu: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Message: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  NavItem: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Overlay: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  PageHeader: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Panel: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  PanelFooter: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  PanelHeader: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Pre: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Progress: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Radio: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Rating: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Section: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  SectionHeader: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Select: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  SequenceMap: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  SequenceMapStep: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Slider: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Space: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Stat: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Switch: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Table: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Text: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Textarea: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Toolbar: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  Tooltip: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  index: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  theme: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  },
  withRebass: {
    description: 'x',
    props: [
      {
        name: 'x',
        description: 'x',
        type: 'x'
      },
    ]
  }
}

export default metadata

