'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _withRebass = require('./withRebass');

var _withRebass2 = _interopRequireDefault(_withRebass);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

/**
 * Arrow for use in dropdowns and other UI elements
 *
 * @method Arrow
 * @param {String} direction Arrow direction, either 'up' or 'down'
 */

var Arrow = function Arrow(_ref) {
  var direction = _ref.direction;
  var children = _ref.children;
  var className = _ref.className;
  var style = _ref.style;
  var theme = _ref.theme;
  var subComponentStyles = _ref.subComponentStyles;

  var props = _objectWithoutProperties(_ref, ['direction', 'children', 'className', 'style', 'theme', 'subComponentStyles']);

  var cx = (0, _classnames2.default)('Arrow', className);

  var sx = _extends({
    display: 'inline-block',
    width: 0,
    height: 0,
    marginLeft: '.5em',
    verticalAlign: 'middle',
    borderRight: '.3125em solid transparent',
    borderLeft: '.3125em solid transparent',
    borderTop: direction === 'down' ? '.4375em solid' : null,
    borderBottom: direction === 'up' ? '.4375em solid' : null,
    pointerEvents: 'none'
  }, style);

  return _react2.default.createElement('div', _extends({}, props, {
    className: cx,
    style: sx }));
};

Arrow.propTypes = {
  /** Direction of arrow */
  direction: _react2.default.PropTypes.oneOf(['up', 'down'])
};

Arrow.defaultProps = {
  direction: 'down'
};

Arrow._name = 'Arrow';

exports.default = (0, _withRebass2.default)(Arrow);