'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _isDark = require('./is-dark');

var _isDark2 = _interopRequireDefault(_isDark);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getColorTheme = function getColorTheme(colors) {
  return function () {
    var theme = arguments.length <= 0 || arguments[0] === undefined ? 'default' : arguments[0];
    var inverted = arguments[1];

    var color = colors[theme];

    if (inverted) {
      return {
        color: (0, _isDark2.default)(color) ? colors.white : colors.black,
        backgroundColor: color,
        borderColor: color
      };
    }

    return {
      color: color
    };
  };
};

exports.default = getColorTheme;