'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

/**
 * Utility for extracting border radii props from components
 */

var radii = function radii() {
  var radius = arguments.length <= 0 || arguments[0] === undefined ? 2 : arguments[0];
  return function (props) {
    var _ref = props || {};

    var rounded = _ref.rounded;
    var pill = _ref.pill;
    var circle = _ref.circle;


    var borderRadius = void 0;

    if (rounded === true) {
      borderRadius = radius;
    } else if (rounded === false) {
      borderRadius = 0;
    }

    if (typeof rounded === 'string') {
      var obj = {
        top: radius + 'px ' + radius + 'px 0 0',
        right: '0 ' + radius + 'px ' + radius + 'px 0',
        bottom: '0 0 ' + radius + 'px ' + radius + 'px',
        left: radius + 'px 0 0 ' + radius + 'px'
      };
      borderRadius = obj[rounded] || null;
    }

    if (pill || circle) {
      borderRadius = 99999;
    }

    if (typeof borderRadius === 'undefined') {
      return {};
    } else {
      return { borderRadius: borderRadius };
    }
  };
};

exports.default = radii;