

# Rebass v0.4.0

57 Themeable React Stateless Functional UI Components

React design system featuring 57 functional UI components

> The design system you didn't even know you needed

- ![Logo]()

- [Build]
- [Tweet](#!)
- [Star](https://github.com/jxnblk/rebass)

- ![CarbonAd]()

- [GitHub](https://github.com/jxnblk/rebass)
- [npm](https://npmjs.com/package/rebass)

- [Demo](http://jxnblk.com/rebass/demo)
- [Components](http://jxnblk.com/rebass/components)

> - [Themes](http://jxnblk.com/rebass/themes)
> - [Style Guide](http://jxnblk.com/rebass/styleguide)


Rebass is a React UI component library that uses inline styles to avoid CSS dependencies and prevent leaky global styles from affecting an application. Rebass components inherit styles where appropriate and can be themed/customized using React Context. Rebass components are built as stateless functional components and modeled as presentational components. With unit tests for each component, Rebass is great for prototyping and ready for production.

## Features

- Uses inline styles
- No CSS dependencies
- No leaky global styles
- Promotes consistent styling
- Built for pixel-perfect alignment
- Works with any application architecture
- Promotes separation of business logic and style
- Convenient style props for margin, padding, and colors
- Customizable themes using React Context
- Great for prototyping
- Production ready
- Unit Tested

## Testimonials

> This stuff is amazing. Rebass, Reflexbox, basscss. Developing towards a Pure UI.
- [A. Sharif](https://twitter.com/sharifsbeat/status/775263944634167296)

> reflexbox and rebass = the typography "boilerplate" I was waiting for years
- [Este.js](https://twitter.com/estejs/status/776494239689674752)

## Getting Started

```sh
npm install --save rebass
```

```js
import React from 'react'
import {
} from 'rebass'
```

- QuickStart Example

—

## Architectural Approach

## Higher order component

Each Rebass component is wrapped with the `withRebass` higher order component, which provides the theme object through context and handles several style shorthand props.

Every component in Rebass has the following props available to quickly style and lay out views:
- m–my
- p–py
- color
- backgroundColor
- rounded
- circle
- pill

- border
- borderTop
- borderRight
- borderBottom
- borderLeft
- borderColor
- borderWidth?

- typography: center, bold, size, etc.

### Theme Context
The look and feel of Rebass components can be completely customized by passing a React context object to child components.

### Globals
Per-component style
Sub component style

### Style prop assignment
For per-component-instance styling and overrides, a style object can be passed to the component. This object is assigned to the default styles and will override any theme context styles.
For frequently used styles, it's recommended that you create wrapper components, but this allows for one-off stylistic changes or tying style to application state.

### Classname
Each component has a classname that is the same as its name. You can also pass custom classnames when needed.

Note: styling components with classnames can break encapsulation and make your code base more brittle. Consider avoiding or encapsulating any use of classnames as style hooks.

### Components

